본문 바로가기
프로그래밍/Python

pip install beautifulsoup 에서 오류가 발생하면

by 체리 2022. 5. 12.
반응형

아래와 같이 오류가 발생한다면 python version이 높아 설치가 안되는 것일 듯.

PS D:\Program\python> pip install beautifulsoup
Collecting beautifulsoup
  Using cached BeautifulSoup-3.2.2.tar.gz (32 kB)
  Preparing metadata (setup.py) ... error
  error: subprocess-exited-with-error

  × python setup.py egg_info did not run successfully.
  │ exit code: 1
  ╰─> [7 lines of output]
      Traceback (most recent call last):
        File "<string>", line 2, in <module>
        File "<pip-setuptools-caller>", line 34, in <module>
        File "C:\Users\idlms\AppData\Local\Temp\pip-install-y6y9jqxg\beautifulsoup_a20ec4f2bddf43c0a51dd25a3f384862\setup.py", line 3
          "You're trying to run a very old release of Beautiful Soup under Python 3. This will not work."<>"Please use Beautiful Soup 4, available through the pip package 'beautifulsoup4'."
                                                                                                         ^^
      SyntaxError: invalid syntax
      [end of output]

  note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.

아래처럼 하자

PS D:\Program\python> pip install beautifulsoup4
반응형

'프로그래밍 > Python' 카테고리의 다른 글

pip install beautifulsoup 에서 오류가 발생하면  (0) 2022.05.12
github의 pulls, issues 가져오기  (0) 2022.05.12
콘솔 입출력  (0) 2011.03.06
기초문  (0) 2011.03.05
변수명  (0) 2011.03.05

댓글0